



/*=========================
GENERAL
==========================*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:Arial, Helvetica, sans-serif;
    color:#222;
    background:#fff;
    line-height:1.6;
}

img{
    max-width:100%;
    display:block;
}

a{
    text-decoration:none;
}

.container{
    width:1200px;
    max-width:95%;
    margin:auto;
}


/*=========================
HEADER
==========================*/

.top-header{
    background:#b61f20;
    padding:20px 0;
}

.top-header .container{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.logo img{
    height:85px;
}

.phone{
    color:#fff;
    font-size:42px;
    font-weight:bold;
}


/*=========================
NAVIGATION
==========================*/

nav{
    background:#2b2b2b;
    border-top:2px solid #1b1b1b;
    border-bottom:2px solid #1b1b1b;
}

nav ul{
    display:flex;
    justify-content:center;
    list-style:none;
}

nav li{
    margin:0 20px;
}

nav a{
    display:block;
    color:#fff;
    font-size:15px;
    padding:16px 0;
    font-weight:bold;
    transition:.3s;
}

nav a:hover{
    color:#d63a3a;
}


.hero{
    height:430px;
    overflow:hidden;
}

.hero img{
    width:100%;
    height:100%;
    object-fit:cover;
}









*{

    box-sizing:border-box;
}

body{
    color:var(--text);
}

img{

    display:block;
    width:100%;
    height:auto;

}

.container2{

    width:min(88%,var(--max-width));
    margin-left:10%;
	margin-right:10%;
	margin-top: 0;
	padding: 1.2em;

}

/* Heading */

.products{

    padding:clamp(40px,6vw,80px) 0;
	margin-top: -30px;

}

.products h1{

    text-align:center;
    font-size:clamp(2rem,4vw,3.2rem);
    margin-bottom:60px;
    color:#111;

}

/* Grid */

.product-grid{

    display:grid;
    grid-template-columns:
    repeat(auto-fit,minmax(30%,1fr));
    gap:50px 40px;

}

/* Card */

.product{
    text-align:center;
}

.product img{
    aspect-ratio:4/3;
    object-fit:cover;
    border-radius:4px;
    transition:.35s;
    box-shadow:0 6px 18px rgba(0,0,0,.08);
}

.product:hover img{
    transform:translateY(-6px);
    box-shadow:0 15px 35px rgba(0,0,0,.18);
}

.product h2{
    font-size:clamp(1.5rem,2vw,2rem);
    margin:22px 0 10px;
    color:#111;
}

.size{
    font-weight:bold;
    margin-bottom:8px;
    color:#555;
}

.product p{
    max-width:320px;
    margin:auto;
    font-size:1rem;
}



.red-stripe {
	background:#b61f20;
	width: 100%;
	height: 5px;	
}



.line-gravel-2 {
    border: none;
    margin: none;
    width: 100%;
    height: 1px;
	background-color: #b22222;
}





.dri-gravel {
		  background: #f4f4f4; 
		  width: 100%;
		  text-align: center;
		  padding: 3% 8% 3% 8%;
	
}


.dri-gravel-content {
	display: flex; 
	gap: 2rem;
	width: 100%;

}


.dri-gravel-text {
	flex: 1; 
	min-width: 55vw;
	text-align: left;
	
}


.dri-gravel-image {
	flex: 2; 	
	text-align: center;	
}


.dri-gravel-image img { 
		  border-radius: 8px; 
		  width: 520px;
		  text-align:center;
		  
}












.faq {
	padding: 2em 1em 2em 1em;
	text-align: center;
	background-color: #dbdbdb;	
	background-image: url('../images/gravel-bg-003.jpg');
	background-size: cover;    /* Ensures the image covers the entire div */
	height: 45vh;  /* enable scrolling background */
	overflow: auto;
	overflow-anchor: auto;
	background-position: bottom center; /* Centers the image within the div */
	background-repeat: no-repeat; /* Prevents the image from repeating */
	background-attachment: fixed;
	width: 100%; /* Full width */
		
}

.faq p {
	width: 88%;
	text-align:left;
	padding: .7em;
	margin-left: 6%;
	
}







.testimony {
			padding: 2em 1em 5em 1em;
			text-align: center;
			background-color: #deb887;		/* linen   #faf0e6  ,   burlywood  #deb887        */
		}


.testimony-cards {
			display: flex;
			justify-content: space-around;
			gap: 20px;
		}

.card-tes {
		background-color: #e0e0e0;
		padding: 20px;
		border-radius: 8px;
		width: 30%;
		text-align: center;
		}







/* Footer */

footer{
    background:#222;
    color:white;
    border-top:6px solid var(--red);
    text-align:center;
    padding:20px;
    font-size:.95rem;
}

/* Tablet */

@media (max-width:900px){

	.phone{
		font-size:32px;
	}

	.product-grid{

		grid-template-columns:
		repeat(2,1fr);

	}
	
	
	
	.dri-gravel-content {
			flex-direction: column;
			align-items: center;				
	}



	.dri-gravel-text {
		width: 92vw;
		padding: 30px;
		
	}


	.dri-gravel-image {
		text-align: center;	
		width: 82vw;
		max-width: 90vw;
	}
	

}





/* Phones */

@media (max-width:650px){


	.phone{
		font-size:26px;
	}


	.product-grid{

		grid-template-columns:1fr;
		gap:50px;
	}

	.product img{
		max-width:420px;
		margin:auto;
	}



	.testimony-cards {
		flex-direction: column;
		align-items: center;
	}

	.card-tes {
		width: 80%; /* Make the cards bigger on mobile */
		margin-bottom: 20px; /* Add some spacing between cards */
	}






	footer{
		
		font-size:.85rem;
		padding:18px;

	}

}